View Single Post
Old 02-14-04, 09:05 PM   #2
leibold
Registered User
 
Join Date: May 2003
Posts: 66
Default

The version of the running kernel and the version the network module (any module really) need to match exactly.

The binary modules you downloaded from nvidia or forcedeth are most likely for the kernel SuSE released on CD/DVD (2.4.21-99-athlon). However you have upgraded your system to a later version (2.4.21-166-athlon).

You have lots of choices (besides the cheapo ethernet card ) :

- build the network module on your system (make sure you install the correct kernel-source package first, it's version must match too).
- try to find (wait for) binaries matching your updated kernel.
- downgrade back to the kernel from the SuSE 9.0 release.
leibold is offline   Reply With Quote